Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class HierarchicalConfiguration.DefinedVisitor

    java.lang.Object
      org.apache.commons.configuration.tree.ConfigurationNodeVisitorAdapter
          org.apache.commons.configuration.HierarchicalConfiguration.DefinedVisitor

All Implemented Interfaces:
  ConfigurationNodeVisitor

Enclosing class:
  HierarchicalConfiguration

    static class HierarchicalConfiguration.DefinedVisitor

extends ConfigurationNodeVisitorAdapter

A specialized visitor that checks if a node is defined. "Defined" in this terms means that the node or at least one of its sub nodes is associated with a value.

Constructor Summary
`HierarchicalConfiguration.DefinedVisitor()`

Method Summary
`boolean` | `isDefined()` Returns the defined flag.
`boolean` | `terminate()` Checks if iteration should be stopped.
`void` | `visitBeforeChildren(ConfigurationNode node)` Visits the node.

Methods inherited from class org.apache.commons.configuration.tree.ConfigurationNodeVisitorAdapter
`visitAfterChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalConfiguration.DefinedVisitor

    HierarchicalConfiguration.DefinedVisitor()

Method Detail

### terminate

    public boolean terminate()

  Checks if iteration should be stopped. This can be done if the first defined node is found.

  Specified by:
    `terminate` in interface `ConfigurationNodeVisitor`
  Overrides:
    `terminate` in class `ConfigurationNodeVisitorAdapter`
  Returns:
    a flag if iteration should be stopped

### visitBeforeChildren

    public void visitBeforeChildren(ConfigurationNode node)

  Visits the node. Checks if a value is defined.

  Specified by:
    `visitBeforeChildren` in interface `ConfigurationNodeVisitor`
  Overrides:
    `visitBeforeChildren` in class `ConfigurationNodeVisitorAdapter`
  Parameters:
    `node` - the actual node

### isDefined

    public boolean isDefined()

  Returns the defined flag.

  Returns:
    the defined flag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.